<template>
  <div class="the-footer">
		<footer class="footer has-background-white site-footer">
			<div class="container">
				<div class="columns is-vcentered is-hidden-mobile">
					<div class="column">
						<div class="block">
							<p>Visite nossas redes sociais</p>
							<a :href="instagram" target="_blank" class="has-text-grey-dark">
								<b-icon icon="instagram"> </b-icon>
							</a>
							<a :href="facebook" target="_blank" class="has-text-grey-dark">
								<b-icon icon="facebook"></b-icon>
							</a>
							<a :href="youtube" target="_blank" class="has-text-grey-dark">
								<b-icon icon="youtube"></b-icon>
							</a>
						</div>

					</div> <!-- column -->
					<div class="column">
						<div class="content is-pulled-right has-text-right">
							<p><a href="#" @click="activateModal">Sobre o sistema</a>.</p>
						</div> <!-- content -->

					</div> <!-- column -->
				</div> <!-- columns -->

				<div class="columns is-vcentered is-hidden-desktop">
					<div class="column">
						<div class="block has-text-centered">
							<p>Confira as redes sociais do Campus</p>
							<a :href="instagram" target="_blank" class="has-text-grey-dark">
								<b-icon icon="instagram"> </b-icon>
							</a>
							<a :href="facebook" target="_blank" class="has-text-grey-dark">
								<b-icon icon="facebook"></b-icon>
							</a>
							<a :href="youtube" target="_blank" class="has-text-grey-dark">
								<b-icon icon="youtube"></b-icon>
							</a>
						</div>

					</div> <!-- column -->
					<div class="column">
						<div class="content has-text-centered">
							<p><a href="#" @click="activateModal">Sobre o sistema</a>.</p>
						</div> <!-- content -->

					</div> <!-- column -->
				</div> <!-- columns -->

			</div> <!-- container -->
		</footer>

		<b-modal :active.sync="isModalActive"
			has-modal-card
			trap-focus
			aria-role="dialog"
			aria-modal>
				<div class="modal-card" style="width: auto">
					<header class="modal-card-head">
						<p class="modal-card-title">Sobre</p>
					</header>
					<section class="modal-card-body">
						<p>Desenvolvimento: CTI - Quixadá. Adaptação e administração: CTI - Acopiara.
						Caso você tenha alguma dúvida,
						<a href="#" @click="goToTicket">abra um chamado</a>, ou ligue para o telefone
						(85) 3401 2436.</p>
            <p>Versão: {{ version }}</p>
					</section>
					<footer class="modal-card-foot">
					</footer>
				</div>
		</b-modal>

  </div>
</template>

<script>
export default {
  name: 'TheFooter',
  props: {
    msg: String
  },
  data: function ()  {
    return {
      isModalActive: false,
			instagram: 'https://instagram.com/' + process.env.VUE_APP_IF_INSTAGRAM_ACCOUNT,
			facebook: 'https://facebook.com/' + process.env.VUE_APP_IF_FACEBOOK_ACCOUNT,
			youtube: process.env.VUE_APP_IF_YOUTUBE_URL,
      version: process.env.VUE_APP_VERSION
    }
  },
  created () {},
  methods: {
		activateModal () {
			this.isModalActive = !this.isModalActive
		},
		goToTicket() {
			this.$router.push({ name: 'create-tickets-ti' })
			this.activateModal()
		}
	}
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="css">
</style>
